> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# NewAccount

This method creates a new Docusign account with a single member, who is the account owner. | Name | Schema Type | Description | | --- | --- | --- | | AccountName | String | The account name for the new account. | | DistributorCode | String | The Distributor Code that identifies the billing plan groups and plans for the new account. | | DistributorPassword | String | The Distributor Password for the DistributorCode. | | Pgp | String | The plan group plan for the account. The Pgp uniquely identifies a plan/plan group and is used to set plans in other functions. | | CreditCardInformation | CreditCardInformation | A complex type that has information about the credit card used to pay for this account. It included the elements: ccNumber, ccExpirationMonth, ccExpirationYear, ccUserName, and ccType. | | ReferralInformation | ReferralInformation | A complex type that contains the following information: EnableSupport, IncludedSeats, ReferrerName, ReferralCode, AdvertisementID, PublisherID, ShopperID, PromoCode, GroupMemberID, IdType, and Industry. | | AccountSettings | AccountSettings | A complex type with the account settings information for the new account. See the AccountSettings section for more information. | | Member | Member | A complex type with the member information for the new account. See the Membersection for more information. | | AddressInformation | AddressInformation | A complex type that contains the following information for the new account: Street1, Street2, City, State, Zip, Phone, and Fax. |

## Sample Request XML

```
POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/NewAccount"

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <NewAccount xmlns="http://www.docusign.net/API/AccountManagement">
         <AccountName>string</AccountName>
         <DistributorCode>string</DistributorCode>
         <DistributorPassword>string</DistributorPassword>
         <Pgp>string</Pgp>
         <CreditCardInformation>
            <ccNumber>string</ccNumber>
            <ccExpirationMonth>string</ccExpirationMonth>
            <ccExpirationYear>string</ccExpirationYear>
            <ccUserName>string</ccUserName>
            <ccType>string</ccType>
         </CreditCardInformation>
         <ReferralInformation>
            <EnableSupport>boolean</EnableSupport>
            <IncludedSeats>positiveInteger</IncludedSeats>
            <SaleDiscountPercent>decimal</SaleDiscountPercent>
            <PlanStartMonth>positiveInteger</PlanStartMonth>
            <ReferrerName>string</ReferrerName>
            <ReferralCode>string</ReferralCode>
            <AdvertisementID>string</AdvertisementID>
            <PublisherID>string</PublisherID>
            <ShopperID>string</ShopperID>
            <PromoCode>string</PromoCode>
            <GroupMemberID>string</GroupMemberID>
            <IdType>string</IdType>
            <Industry>string</Industry>
         </ReferralInformation>
         <AccountSettings>
            <UsesAPI>boolean</UsesAPI>
            <EnableDSPro>boolean</EnableDSPro>
            <EnableVaulting>boolean</EnableVaulting>
            <EnableEnvelopeStampingByAccountAdmin>boolean</EnableEnvelopeStampingByAccountAdmin>
            <EnvelopeStampingDefaultValue>boolean</EnvelopeStampingDefaultValue>
            <SignerMustHaveAccount>boolean</SignerMustHaveAccount>
            <SignerMustLoginToSign>boolean</SignerMustLoginToSign>
            <SignerCanCreateAccount>boolean</SignerCanCreateAccount>
            <AllowInPerson>boolean</AllowInPerson>
            <EnablePowerForm>boolean</EnablePowerForm>
            <AllowSignerReassign>boolean</AllowSignerReassign>
            <EnableReservedDomain>boolean</EnableReservedDomain>
            <EnableSequentialSigningAPI>boolean</EnableSequentialSigningAPI>
            <EnableSequentialSigningUI>boolean</EnableSequentialSigningUI>
            <EnableAutoNav>boolean</EnableAutoNav>
            <AutoNavRule>bytes</AutoNavRule>
            <EnableTransactionPoint>boolean</EnableTransactionPoint>
            <EnvelopeIntegrationAllowed>bytes</EnvelopeIntegrationAllowed>
            <EnvelopeIntegrationEnabled>boolean</EnvelopeIntegrationEnabled>
            <CanSelfBrandSend>boolean</CanSelfBrandSend>
            <CanSelfBrandSign>boolean</CanSelfBrandSign>
            <IDCheckRequired>bytes</IDCheckRequired>
            <IDCheckExpire>bytes</IDCheckExpire>
            <IDCheckExpireDays>integer</IDCheckExpireDays>
            <SignDateFormat>string</SignDateFormat>
            <PKISignDownloadedPDFDocs>bytes</PKISignDownloadedPDFDocs>
            <InPersonIDCheckQuestion>string</InPersonIDCheckQuestion>
            <SessionTimeout>integer</SessionTimeout>
            <AttachCompletedEnvelope>boolean</AttachCompletedEnvelope>
            <SignerCanSignOnMobile>boolean</SignerCanSignOnMobile>
            <SignerShowSecureFieldInitialValues>boolean</SignerShowSecureFieldInitialValues>
            <SignerAttachCertificateToEnvelopePDF>boolean</SignerAttachCertificateToEnvelopePDF>
            <EnableSignOnPaper>boolean</EnableSignOnPaper>
            <EnableSignOnPaperOverride>boolean</EnableSignOnPaperOverride>
            <EnableSignerAttachments>boolean</EnableSignerAttachments>
            <UseAccountLevelEmail>boolean</UseAccountLevelEmail>
         </AccountSettings>
         <Member>
            <MemberEmailAddress>string</MemberEmailAddress>
            <MemberUserName>string</MemberUserName>
            <MemberPassword>string</MemberPassword>
            <MemberForgottenPasswordQuestion>string</MemberForgottenPasswordQuestion>
            <MemberForgottenPasswordAnswer>string</MemberForgottenPasswordAnswer>
            <MemberTitle>string</MemberTitle>
            <MemberFirstName>string</MemberFirstName>
            <MemberMiddleName>string</MemberMiddleName>
            <MemberLastName>string</MemberLastName>
            <MemberSuffix>string</MemberSuffix>
            <EnableConnectForUser>boolean</EnableConnectForUser>
            <MemberSettings>
               <CanManageAccount>boolean</CanManageAccount>
               <CanSendEnvelope>boolean</CanSendEnvelope>
               <CanSendAPIRequests>boolean</CanSendAPIRequests>
               <APIAccountWideAccess>boolean</APIAccountWideAccess>
               <EnableVaulting>boolean</EnableVaulting>
               <VaultingMode>bytes</VaultingMode>
               <EnableTransactionPoint>boolean</EnableTransactionPoint>
               <EnableSequentialSigningAPI>boolean</EnableSequentialSigningAPI>
               <EnableSequentialSigningUI>boolean</EnableSequentialSigningUI>
               <EnableDSPro>boolean</EnableDSPro>
               <PowerFormAdmin>boolean</PowerFormAdmin>
               <PowerFormUser>boolean</PowerFormUser>
               <CanEditSharedAddressBook>bytes</CanEditSharedAddressBook>
               <CanManageTemplates>bytes</CanManageTemplates>
               <EnableSignOnPaperOverride>boolean</EnableSignOnPaperOverride>
               <EnableSignerAttachments>boolean</EnableSignerAttachments>
            </MemberSettings>
            <ReturnEncryptedPassword>boolean</ReturnEncryptedPassword>
         </Member>
         <AddressInformation>
            <Address1>string</Address1>
            <Address2>string</Address2>
            <City>string</City>
            <State>string</State>
            <Zip>string</Zip>
            <Phone>string</Phone>
            <Fax>string</Fax>
         </AddressInformation>
      </NewAccount>
   </soap:Body>
</soap:Envelope>
```

The response contains the information below and either a success or failure. If the call fails an [error code](/docs/esign-rest-api/esign101/error-codes) is provided. | Name | Schema Type | Description | | --- | --- | --- | | AccountId | String | The Docusign account ID for the new account. | | SiteId | String | The Site ID for the new account. | | UserId | String | The user ID for the new account. | | MembershipId | String | The membership ID for the new account. | | EncryptedPassword | String | The encrypted password for the new account. |

## Sample Response XML

```
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <NewAccountResponse xmlns="http://www.docusign.net/API/AccountManagement">
         <NewAccountResult>
            <AccountId>string</AccountId>
            <SiteId>string</SiteId>
            <UserId>string</UserId>
            <MembershipId>string</MembershipId>
            <EncryptedPassword>string</EncryptedPassword>
            <Success>boolean</Success>
            <Error>
               <ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed</ErrorCode>
               <Description>string</Description>
            </Error>
         </NewAccountResult>
      </NewAccountResponse>
   </soap:Body>
</soap:Envelope>
```